Update a host cache setting
Updates a host cache setting to modify its configuration based on your requirements. Use this endpoint when you need to adjust or optimize host cache settings in your system.
HTTP method and endpoint
PATCH /name-services/cache/host/settings/{svm.uuid}
Introduced in
ONTAP 9.11
Important notes
-
svm.uuid field cannot be empty.
-
Returns success in case no values are provided for update.
Related ONTAP commands
-
vserver services name-service cache hosts settings modify
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
svm.uuid |
string |
path |
True |
SVM UUID. |
Request Body
| Name | Type | Description |
|---|---|---|
dns_ttl_enabled |
boolean |
Specifies whether TTL is based on the DNS or host settings. If enabled, TTL from DNS is used. |
enabled |
boolean |
Indicates whether or not the cache is enabled. |
negative_cache_enabled |
boolean |
Indicates whether or not the negative cache is enabled. |
negative_ttl |
string |
Specifies negative Time to Live, in ISO 8601 format. |
svm |
||
ttl |
string |
Specifies Time to Live (TTL), in ISO 8601 format. |
Example request
{
"dns_ttl_enabled": 1,
"negative_ttl": "PT5M",
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
},
"ttl": "PT24H"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
23724055 |
Internal error. Configuration for Vserver failed. Verify that the cluster is healthy, then try the command again. For further assistance, contact technical support. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
hosts_settings
Hosts cache setting.
| Name | Type | Description |
|---|---|---|
dns_ttl_enabled |
boolean |
Specifies whether TTL is based on the DNS or host settings. If enabled, TTL from DNS is used. |
enabled |
boolean |
Indicates whether or not the cache is enabled. |
negative_cache_enabled |
boolean |
Indicates whether or not the negative cache is enabled. |
negative_ttl |
string |
Specifies negative Time to Live, in ISO 8601 format. |
svm |
||
ttl |
string |
Specifies Time to Live (TTL), in ISO 8601 format. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |